DtEditorInvokeSpellDialog(library call)

NAME
DtEditorInvokeSpellDialog — display the DtEditor widget dialog for checking text for spelling errors

SYNOPSIS

#include &<Dt/Editor.h>
DtEditorErrorCode DtEditorInvokeSpellDialog(
Widget widget);

DESCRIPTION

The DtEditorInvokeSpellDialog function displays the Spell dialog for the DtEditor widget. This dialog displays the list of unrecognized or misspelled words from the widget's text. Users can search for and replace misspelled words with the Spell dialog. The list of misspelled words is automatically generated by filtering the text for the DtEditor widget through the filter specified by the DtNspellFilter resource when DtEditorInvokeSpellDialog is called. For a complete description of the Spell dialog and the DtNspellFilter resource, see DtEditor(3).

The widget argument specifies the DtEditor widget ID.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

Upon successful completion, the DtEditorInvokeSpellDialog function returns DtEDITOR_NO_ERRORS if the widget successfully executed the spell filter; otherwise, it returns one of the following:

DtEDITOR_SPELL_FILTER_FAILED
    If it cannot successfully execute the filter specified by the DtNspellfilter resource.

DtEDITOR_NO_TMP_FILE
    If it cannot create a temporary file in the directory returned by tmpnam(3S).

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3), tmpnam(3S).